Bug 118603 - avc: denied { syslog_mod } while executing 'dmesg -c'
avc: denied { syslog_mod } while executing 'dmesg -c'
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2004-03-17 23:06 EST by Ben Levenson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-18 13:10:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2004-03-17 23:06:21 EST
Description of problem:

dmesg -c: 'klogctl: Permission denied'

id -Z: 'root:sysadm_r:sysadm_t'

getenforce: 'enforcing'

kernel: audit(1079582722.925:0): avc:  denied  { syslog_mod } for 
pid=2487 exe=/bin/dmesg scontext=root:system_r:dmesg_t
tcontext=system_u:system_r:kernel_t tclass=system

Version-Release number of selected component (if applicable):

Additional Information:
avc message pumped through audit2allow:
allow dmesg_t kernel_t:system { syslog_mod };
Comment 1 Daniel Walsh 2004-03-17 23:49:24 EST
FIxed in policy-1.9-1
Comment 2 Ben Levenson 2004-03-18 13:10:18 EST
fix verified.

Note You need to log in before you can comment on or make changes to this bug.